path: /build/build/qtgraphicaleffects-dev-qt-5-5.15.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge dev-qt/qtgraphicaleffects:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps dev-qt/qtgraphicaleffects:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtgraphicaleffects && luet-portage --dir
    /pkgdir/qtgraphicaleffects dev-qt/qtgraphicaleffects:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8e1caab8a2492645f2298ac7d1496f5ac34f7e7b554a231f01e3f53418854f8e
  package:
    name: qtgraphicaleffects
    version: 5.15.2+3
    category: dev-qt-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: qtdeclarative
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Set of QML types for adding visual effects to user interfaces
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-25 09:23:17.983052005 +0000 UTC m=+146.618021381
    labels:
      BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
        virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
        test? ( =dev-qt/qttest-5.15.2* )
      IUSE: test debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
      emerge.packages: dev-qt/qtgraphicaleffects:5
      kit: qt-kit
      original.package.name: dev-qt/qtgraphicaleffects
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240104
    treedir: /build/packages
  package_dir: /pkgdir/qtgraphicaleffects
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: de1d55f964be475a37b475bbb2dfde7e6b08cd969f0cbe51e8d8d804e3e462bb
compressiontype: zstd
files:
- usr/lib64/qt5/qml/QtGraphicalEffects/Blend.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/BrightnessContrast.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/ColorOverlay.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/Colorize.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/ConicalGradient.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/Desaturate.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/DirectionalBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/Displace.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/DropShadow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/FastBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/GammaAdjust.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/GaussianBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/Glow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/HueSaturation.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/InnerShadow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/LevelAdjust.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/LinearGradient.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/MaskedBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/OpacityMask.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/RadialBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/RadialGradient.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/RectangularGlow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/RecursiveBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/ThresholdMask.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/ZoomBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/libqtgraphicaleffectsplugin.so
- usr/lib64/qt5/qml/QtGraphicalEffects/plugins.qmltypes
- usr/lib64/qt5/qml/QtGraphicalEffects/private/DropShadowBase.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/DropShadowBase.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/FastGlow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/FastGlow.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/FastInnerShadow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/FastInnerShadow.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/FastMaskedBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/FastMaskedBlur.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianDirectionalBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianDirectionalBlur.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianGlow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianGlow.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianInnerShadow.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianInnerShadow.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianMaskedBlur.qml
- usr/lib64/qt5/qml/QtGraphicalEffects/private/GaussianMaskedBlur.qmlc
- usr/lib64/qt5/qml/QtGraphicalEffects/private/libqtgraphicaleffectsprivate.so
- usr/lib64/qt5/qml/QtGraphicalEffects/private/qmldir
- usr/lib64/qt5/qml/QtGraphicalEffects/qmldir
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/BDEPEND
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/BUILD_TIME
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/CATEGORY
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/CBUILD
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/CFLAGS
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/CHOST
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/CONTENTS
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/COUNTER
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/CXXFLAGS
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/DEFINED_PHASES
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/DEPEND
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/DESCRIPTION
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/EAPI
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/FEATURES
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/HOMEPAGE
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/INHERITED
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/IUSE
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/KEYWORDS
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/LDFLAGS
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/LICENSE
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/NEEDED
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/PF
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/PROVIDES
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/RDEPEND
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/REQUIRES
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/RESTRICT
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/SIZE
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/SLOT
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/USE
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/environment.bz2
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/qtgraphicaleffects-5.15.2_p20240104.ebuild
- var/db/pkg/dev-qt/qtgraphicaleffects-5.15.2_p20240104/repository
package_cacheimage: ""
runtime:
  name: qtgraphicaleffects
  version: 5.15.2+3
  category: dev-qt-5
  use_flags:
  - -test
  - prefix
  requires:
  - name: qtdeclarative
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Set of QML types for adding visual effects to user interfaces
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
      virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
      test? ( =dev-qt/qttest-5.15.2* )
    IUSE: test debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
    emerge.packages: dev-qt/qtgraphicaleffects:5
    kit: qt-kit
    original.package.name: dev-qt/qtgraphicaleffects
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240104
